package org.selfhtml.xslt;

import net.sf.saxon.event.PipelineConfiguration;
import net.sf.saxon.Configuration;
import net.sf.saxon.dom.DOMSender;
import net.sf.saxon.trans.XPathException;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import java.io.StringWriter;

/**
 * XSLT Utility functions
 */
public class Utils {
	public static String toJson (Node node) throws XPathException {
		JSONEmitter emitter = new JSONEmitter ();
		StringWriter out = new StringWriter ();
		DOMSender sender = new DOMSender ();
		
		PipelineConfiguration pipe = new PipelineConfiguration ();
		pipe.setConfiguration (new Configuration ());
		sender.setPipelineConfiguration (pipe);
		
		emitter.setWriter (out);
		sender.setReceiver (emitter);
		sender.setStartNode (node);
		sender.send ();
		
		return out.toString ();
	}
}
